[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] python: Don't declare Py_ssize_t for Python 2.6



Commit cd48c3f4e95597 added a Py_ssize_t typedef for Python < 2.7.
But Py_ssize_t was added in Python 2.5. This makes the build fail
for Python 2.6.

Adjust the check to match Python < 2.5 to fix this.
---
 python/typewrappers.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/python/typewrappers.h b/python/typewrappers.h
index 70c15d9..87ea1e5 100644
--- a/python/typewrappers.h
+++ b/python/typewrappers.h
@@ -22,7 +22,7 @@
 #endif
 
 /* Work around really old python.  */
-#if PY_MAJOR_VERSION == 2 && PY_MINOR_VERSION < 7
+#if PY_MAJOR_VERSION == 2 && PY_MINOR_VERSION < 5
 typedef ssize_t Py_ssize_t;
 #endif
 
-- 
1.7.0.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]